Hulpartikel overzicht

Hulpartikel

Ik wil de PHP-versie updaten van CentOS

CentOS gebruikt standaard vaak wat oudere versies van software (wel met recente security-updates) omdat het stabiliteit verkiest boven nieuwe features. Daarom ligt bijvoorbeeld de standaard PHP-versie vaak ook een aantal versies achter op wat er beschikbaar is. Wanneer je dan ook gebruik wilt maken van bijvoorbeeld PHP 7, zul je eerst zelf dit moeten inschakelen op jouw VPS.

Belangrijk om te weten!
- Het is niet zonder risico om de PHP-versie van jouw VPS te updaten. Maak dan ook altijd eerst een snapshot zodat je bij problemen hierop kunt terugvallen.
- De huidige versie van PHP kun je altijd controleren in de console (of via SSH) via php -v


Stap 1: Een extra repository toevoegen voor PHP

 

  • Omdat CentOS (zowel 6 als 7) standaard een oudere versie van PHP in hun repository hebben zitten, moet je eerst een extra repository toevoegen. Hiervoor kun je bijvoorbeeld de repositories van Webtatic.com voor gebruiken.
  • Installeer via 'rpm' the repository voor jouw versie van CentOS:
    - CentOS 6.x:
    rpm -Uvh https://mirror.webtatic.com/yum/el6/latest.rpm

    - CentOS 7.x:
    rpm -Uvh https://mirror.webtatic.com/yum/el7/webtatic-release.rpm


Stap 2: De nieuwe PHP-versie installeren

 

 

  • Voordat je de nieuwe PHP versie installeert, is het echter wel belangrijk dat je al weet van welke 'handler' / 'runtime environment' je gebruik wilt maken. Hieronder wordt de standaard "mod_php" (DSO) gebruikt, maar mocht je een andere handler willen gebruiken dan kan dat uiteraard. Voor meer informatie over deze keuze kun je het volgende artikel eens doornemen.
  • Voer het volgende commando uit:
    yum install php70w php70w-opcache
    Hiervan is opcache optioneel, maar dit is eigenlijk wel iets dat je in de meeste situaties zou willen gebruiken.
  • Nu heb je PHP 7 toegevoegd aan jouw VPS en kun je hier gebruik van maken op jouw website (een herstart van Apache / Nginx kan echter nog wel noodzakelijk zijn). Je hebt echter nog niet de standaard versie aangepast. Dit is echter niet zonder risico en besef je dan ook dat dit in sommige gevallen voor problemen kan zorgen. Wil je de standaard PHP-versie updaten, voer dan het onderstaande commando uit:
    yum install yum-plugin-replace 
    yum replace php-common --replace-with=php70w-common
    

 

Heb je ook een goed idee?

Stuur jouw idee in! Met genoeg stemmen komt jouw idee op onze wishlist!

Heeft dit artikel je geholpen?

Maak een account aan of log in om een beoordeling achter te laten.

Deel dit artikel

Reacties

Maak een account aan of log in om een reactie te plaatsen.

1
wwwandries01 22 februari 2018 (#815)

Wanneer je Plesk op je CentOS 7 server hebt draaien, kijk dan naar dit artikel van Plesk: https://support.plesk.com/hc/en-us/articles/115000438614-How-to-upgrade-OS-vendor-PHP-on-CentOS-7-

0
Matthijs van Beek Admin 12 januari 2018 (#608)

@faimmedia

Bedankt voor je feedback! Ik heb het alternatief verwijderd, maar wij zijn zelf niet bekend met IUS en kunnen daarom het niet actief aanbevelen op dit moment. Wij zullen wel dit gaan onderzoeken en bij een toekomstige update van dit artikel mogelijk wel meenemen.

0
faimmedia 6 januari 2018 (#584)

Dit artikel klopt niet helemaal, Fedora EPEL heeft namelijk geen PHP-binaries in hun repo, dus dit is geen alternatief.

Overigens zou ik ook de voorkeur geven aan IUS ((https://ius.io)[https://ius.io]), omdat deze repo actiever en door meer personen wordt onderhouden:

curl 'https://setup.ius.io/' -o setup-ius.sh
sudo bash setup-ius.sh

Nu de repo is toegevoegd kan PHP7 geïnstalleerd worden:

PHP 7.0:

yum install php70u

PHP 7.1:

yum install php71u

Let op de u suffix, in plaats van de in het artikel gebruikte w

0
Nick Brouwer Admin 16 oktober 2017 (#193)

@joostvanveen

Ai, dat lijkt me niet de bedoeling.

Dit kijken we graag voor jouw specifieke situatie na, we vermoeden namelijk dat dit een local issue is. Als hieruit blijkt dat het artikel een update nodig heeft, dan passen we dit uiteraard aan.

Kun je hiervoor een bericht sturen via de knop 'Neem contact op' onderaan dit artikel? Dan kijken we hier zo snel mogelijk samen met je naar.

-Nick

0
joostvanveen 15 oktober 2017 (#188)

Ik heb uiteindelijk PHP geupdate via Directadmin

0
joostvanveen 14 oktober 2017 (#182)

Deze geeft bij een foutmelding No package php70w available.

Ik kan epel installeren. Echter yum install php70w php70w-opcache geeft als foutmeldingen

No package php70w available
No package php70w-opcache avalable

Dus geprobeerd met yum install mod_php71w php71w-opcache, helaas met dezelfde foutmelding.

Kom je er niet uit?

Ontvang persoonlijke hulp van onze supporters

Neem contact op